[Fixed] Problem to run the first application with Ionic


#1

Hello,

I’m trying to create my first application with Ionic. But, for example, when I type: ionic start {appname} blank, everytime the command line ask to install a module.

I’m installing a bunch of modules and i’ts continuing until now. Maybe I’ve installe about 30 modules and it’s still goes on.

I’ts normal this procedure?

`ionic start schotch-todo blank

Error: Cannot find module 'match-stream’
at Function.Module._resolveFilename (module.js:339:15)
at Function.Module._load (module.js:290:25)
at Module.require (module.js:367:17)
at require (internal/module.js:16:19)
at Object. (/usr/local/lib/node_modules/ionic/node_modules/unzip/lib/parse.js:11:19)
at Module._compile (module.js:413:34)
at Object.Module._extensions…js (module.js:422:10)
at Module.load (module.js:357:32)
at Function.Module._load (module.js:314:12)
at Module.require (module.js:367:17)

Cannot find module ‘match-stream’ (CLI v1.7.14)

Your system information:

Cordova CLI: 6.0.0
Ionic CLI Version: 1.7.14
Ionic App Lib Version: 0.7.0
OS: Distributor ID: Ubuntu Description: Ubuntu 14.04.4 LTS
Node Version: v5.6.0

:cloud: ~ sudo npm install -g match-stream
/usr/local/lib
└─┬ match-stream@0.0.2
├── buffers@0.1.1
└─┬ readable-stream@1.0.33
├── core-util-is@1.0.2
├── inherits@2.0.1
├── isarray@0.0.1
└── string_decoder@0.10.31

:cloud: ~ ionic start Myapp blacnk

Error: Cannot find module 'inherits’
at Function.Module._resolveFilename (module.js:339:15)
at Function.Module._load (module.js:290:25)
at Module.require (module.js:367:17)
at require (internal/module.js:16:19)
at Object. (/usr/local/lib/node_modules/ionic/node_modules/unzip/node_modules/fstream/lib/abstract.js:6:16)
at Module._compile (module.js:413:34)
at Object.Module._extensions…js (module.js:422:10)
at Module.load (module.js:357:32)
at Function.Module._load (module.js:314:12)
at Module.require (module.js:367:17)

Cannot find module ‘inherits’ (CLI v1.7.14)

Your system information:

Cordova CLI: 6.0.0
Ionic CLI Version: 1.7.14
Ionic App Lib Version: 0.7.0
OS: Distributor ID: Ubuntu Description: Ubuntu 14.04.4 LTS
Node Version: v5.6.0
`

And everytime ask for new module.

Thanks.


#2

Sounds like the CLI wasn’t installed correctly. Might want to try to reinstall that.


#3

Mike, the problem was resolved with your tip. Thank you.

I run the commands:

npm uninstall -g ionic
npm install -g ionic

And thats it, everything is working now.

I’m newbie in Ionic. I’m used in Python enviroment, so the messages that console returns it’s not very explicit which error is it.

Again, thanks.


#4

Happy it worked out!